Get All Available Zip Codes
curl --request GET \
--url https://api.shovels.ai/v2/list/zip \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.shovels.ai/v2/list/zip"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://api.shovels.ai/v2/list/zip")
.header("X-API-Key", "<api-key>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.shovels.ai/v2/list/zip"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.shovels.ai/v2/list/zip")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.shovels.ai/v2/list/zip",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"items": [
{
"zip_code": "90001"
},
{
"zip_code": "90002"
},
{
"zip_code": "90003"
},
{
"zip_code": "90004"
},
{
"zip_code": "90005"
},
{
"zip_code": "90006"
},
{
"zip_code": "90007"
},
{
"zip_code": "90008"
},
{
"zip_code": "90009"
},
{
"zip_code": "90010"
}
],
"size": 50,
"next_cursor": "example_cursor"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Lists
Get All Available Zip Codes
Returns all available ZIP codes for which we have permit and contractor data.
GET
/
list
/
zip
Get All Available Zip Codes
Authorizations
Query Parameters
Cursor for pagination
Required range:
1 <= x <= 100Response
A list of available ZIP codes
Paginated response for ZIP codes view.
The list of items returned in the response following given criteria.
Show child attributes
Show child attributes
The number of items returned in the response.
The cursor for retrieving the next page of results.
Total result count (capped at 10,000). Present on first-page responses when include_count=true. null if the count query timed out.
Show child attributes
Show child attributes
Was this page helpful?

